import { o as n, a as c, c as e, M as r, S as l, r as s } from "./Logo1am-CaBWyNpM.js";
import { W as m, A as i, __tla as __tla_0 } from "./App-BLnEEK_h.js";
import { C as p, R as u, S as o, __tla as __tla_1 } from "./SocialWallet-bymZe3JT.js";
import { g as d } from "./request-fingerprint-BANtRL63.js";
import { s as h, a as g } from "./keep-alive-ui-B4P-65lU.js";
import "./_virtual_wxt-plugins-CDnz5Vh6.js";
import "./__vite-plugin-wasm-helper-D7K_KhUE.js";
import { __tla as __tla_2 } from "./cardano-e2kMgYtl.js";
Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_2;
        } catch  {}
    })()
]).then(async ()=>{
    const w = ()=>{
        const t = new URLSearchParams(window.location.search).get("mode");
        return n(async ()=>{
            const a = await d();
            document.documentElement.setAttribute("data-theme", a.theme || "light"), h();
        }), c(()=>{
            g();
        }), e(l, {
            get fallback () {
                return e(i, {});
            },
            get children () {
                return [
                    e(r, {
                        when: t === "welcome",
                        get children () {
                            return e(m, {
                                fullpage: !0
                            });
                        }
                    }),
                    e(r, {
                        when: t === "create",
                        get children () {
                            return e(p, {});
                        }
                    }),
                    e(r, {
                        when: t === "recover",
                        get children () {
                            return e(u, {});
                        }
                    }),
                    e(r, {
                        when: t === "social",
                        get children () {
                            return e(o, {
                                mode: "create"
                            });
                        }
                    }),
                    e(r, {
                        when: t === "social-unlock",
                        get children () {
                            return e(o, {
                                mode: "unlock"
                            });
                        }
                    })
                ];
            }
        });
    };
    window.__ONE_AM_SHELL__ = "fullpage";
    const f = document.getElementById("root");
    s(()=>e(w, {}), f);
});
